Bug 849542 - [vds-bootstrap] Host has 7 minute time difference with engine after installation
[vds-bootstrap] Host has 7 minute time difference with engine after installation
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Alon Bar-Lev
Gadi Ickowicz
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 03:18 EDT by Gadi Ickowicz
Modified: 2014-08-21 21:40 EDT (History)
13 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-31.0
Doc Type: Bug Fix
Doc Text:
Previously, the bootstrap script (vds-bootstrap) retrieved the engine time as a parameter, but did not set the clock until after installing packages. Since the package installation process took a few minues, the clock was a few minutes behind. VDSM has been updated so that the clock is set when the engine time is retrieved, and now the clock is accurate.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:07:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gadi Ickowicz 2012-08-20 03:18:06 EDT
Description of problem:
After installing a host, the host time has about 7 minutes difference with the engine, even though SET_TIME is run during the bootstrap process

Version-Release number of selected component (if applicable):
rhevm-3.1.0-12.el6ev.noarch
vdsm-bootstrap-4.9.6-28.0.el6_3.noarch


How reproducible:
100%

Steps to Reproduce:
1. Add host to rhevm, and check time after reboot.
  
Actual results:
Host and engine time are not synchronized

Expected results:
Time should be synchronized

Additional info:
Comment 4 Alon Bar-Lev 2012-08-21 09:30:41 EDT
commit 446dafdad2385f918d9181d666e064dabf1144fa
Author: Alon Bar-Lev <alonbl@redhat.com>
Date:   Tue Aug 21 13:59:39 2012 +0300

    BZ#849542 bootstrap: acquire time for host immediately before send
    
    Engine uses its own clock to send current time to host during bootstrap.
    
    This change moves the point in which clock is sampled immediately
    before bootstrap command is sent, as result we have smaller clock delta.
    
    Signed-off-by: Alon Bar-Lev <alonbl@redhat.com>
    Change-Id: I37a6f961eecb392e0e31eeab459fbd9229e42df6

http://gerrit.ovirt.org/7381

commit da231d8eb31a88ebdb26026cacb6baa94d0e2b6d
Author: Alon Bar-Lev <alonbl@redhat.com>
Date:   Tue Aug 21 12:00:01 2012 +0300

    BZ#849542 bootstrap: set system time as soon as possible
    
    CURRENT BEHAVIOR
    
    Set system time after installation.
    
    NEW BEHAVIOR
    
    Set system time at first stage. This makes the time difference between
    engine and host set to minimum.
    
    Change-Id: I15f2ae43dfacf3bd38c860985d572c7513a1ee6d
    Signed-off-by: Alon Bar-Lev <alonbl@redhat.com>

http://gerrit.ovirt.org/7380
Comment 7 Gadi Ickowicz 2012-09-03 10:53:16 EDT
Verified on SI16. Set time now runs near the beginning of the bootstrap process, and time difference between hosts and engine is a few seconds.

vdsm-4.9.6-31.0.el6_3.x86_64
rhevm-3.1.0-14.el6ev.noarch
Comment 10 errata-xmlrpc 2012-12-04 14:07:43 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.